<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotLinkedAccountsMetadata extends \Google\Protobuf\Internal\Message
{
    


    private $accounts;
    


    protected $acAuthTokens = null;
    


    protected $acErrorCode = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getAccounts()
    {
        return $this->accounts;
    }

    




    public function setAccounts($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\BotLinkedAccount::class);
        $this->accounts = $arr;

        return $this;
    }

    



    public function getAcAuthTokens()
    {
        return isset($this->acAuthTokens) ? $this->acAuthTokens : '';
    }

    public function hasAcAuthTokens()
    {
        return isset($this->acAuthTokens);
    }

    public function clearAcAuthTokens()
    {
        unset($this->acAuthTokens);
    }

    




    public function setAcAuthTokens($var)
    {
        GPBUtil::checkString($var, False);
        $this->acAuthTokens = $var;

        return $this;
    }

    



    public function getAcErrorCode()
    {
        return isset($this->acErrorCode) ? $this->acErrorCode : 0;
    }

    public function hasAcErrorCode()
    {
        return isset($this->acErrorCode);
    }

    public function clearAcErrorCode()
    {
        unset($this->acErrorCode);
    }

    




    public function setAcErrorCode($var)
    {
        GPBUtil::checkInt32($var);
        $this->acErrorCode = $var;

        return $this;
    }

}

